QGIS Application - Bug report #21855

Bad Allocation - Report Composer
2019-04-15 09:48 PM - Tomas Carvalho

Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.0
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29670

Description

I'm trying to export a Report document in PDF and some times it works well.

But some times it causes 'Bad Allocation' and the final PDF archive get much more size and the QGIS stops working.

| have already try to limit the number of features and pages to show but still doesn't work.

What could be?

Please send me any kind of resolution to this problem.

History

#1 - 2019-04-15 11:45 PM - Giovanni Manghi
- Assignee deleted (Tomas Carvalho)

- Category changed from Actions to Map Composer/Printing

- Status changed from Open to Feedback
- Resolution deleted (not reproducable)

can you share the project and data?

#2 - 2019-04-16 02:01 PM - Tomas Carvalho
- File QGIS_Data.zip added
- File QGIS_Project.zip added

- Assignee set to Tomas Carvalho

Of course

| am using 18 unique pages for this report that will be multiplied to 116 municipalities (2,088 pages).

| was doing an MVP with only 3 of them (54 pages)

#3 - 2019-04-16 02:13 PM - Giovanni Manghi

- Operating System changed from Windowns 10 to Windows 10

- Assignee deleted (Tomds Carvalho)

Tomas Carvalho wrote:

Of course

I am using 18 unique pages for this report that will be multiplied to 116 municipalities (2,088 pages).

| was doing an MVP with only 3 of them (54 pages)
the project does not open in clean way, there are a lot of missing postgis and shapefiles layers. Not sure how the attached shapes are related to the
attached project.

#4 - 2019-04-16 03:59 PM - Tomas Carvalho
- File project.qgz added

- File Data_bugReport.zip added

- File Data_bugReport2.zip added

- File Data_bugReport3.zip added

- File metadata_bugReport.ixt added

Apologize for that.

Now | send data, project and metadata

#5 - 2019-04-16 07:47 PM - Giovanni Manghi

Toméas Carvalho wrote:

Apologize for that.

Now | send data, project and metadata

sorry for bugging, the project still does not open in a clean way (even after unzipping everything you attached), still points to postgis layers and to local
drives (D, X). What would be ideal is a (zipped) folder that contains the project and the data necessary to allow us (iry) replicate this issue.

#6 - 2019-04-16 08:36 PM - Tomas Carvalho

OK | understand, but the maximum size is limited here.
So, | put all files on this we transfer link: https://we.tl/t-I8vUF714s6

Now see if it can be seen

#7 - 2019-04-16 10:54 PM - Giovanni Manghi

- File Screenshot_20190416_215303.png added

Toméas Carvalho wrote:

OK | understand, but the maximum size is limited here.
So, | put all files on this we transfer link: https.//we.tl/t-I8vUF714s6

Now see if it can be seen
https://we.tl/t-I8vUF7l4s6
https://we.tl/t-I8vUF7l4s6

Layer name Type Provider Auth config Datasource

bi_ma_sp_mu... vector postgres dbname='atlas’ host=ima-pgdb1.intranet.imaflora.org port=5432 s...
bi_ma_usoSo... vector ogr X:/SOS_MA/GEQ/bi_ma_usoSolo_2008a2016_sosma_albers.shp

CF - Déficit to... vector ogr X:/SOS_MA/GEQ/es_sp_codigo_florestal_estimativas_vFinal.shp|lay...
CF - Ativo total vector ogr X:/SOS_MA/GEQ/es_sp_codigo._florestal_estimativas_vFinal.shp|lay...
landtenure_v... |vector postgres dbname='atlas’ host=ima-pgdb1.intranetimaflora.org port=5432 ...
mapbiomas_L.. | raster none D:Imaflora_Projetos_e_Acoes/ATLAS_AGROPECUARIO/PLATAFOR...
pa_br_bioma... vector ogr D:/Biomas/pa_br_biomas_1000_2015_mapbiomas_albers.shp |laye...

pa_br_limite... |vector ogr D:/Limites Politice ini: i br_limi icipal 250_201...

recgeo_estado | vector postgres dbname='atlas’ host=ima-pgdb1.intranet.imaflora.org port=5432s...
Files

archive_size_bad_alocation.PNG 5.72 KB 2019-04-15 Tomas Carvalho
report_bad_alocation.PNG 3.48 KB 2019-04-15 Toméas Carvalho
QGIS_Project.zip 549 KB 2019-04-16 Tomas Carvalho
QGIS_Data.zip 4.72 MB 2019-04-16 Tomas Carvalho
project.qgz 282 KB 2019-04-16 Tomas Carvalho
Data_bugReport.zip 2.84 MB 2019-04-16 Tomas Carvalho
Data_bugReport2.zip 3.98 MB 2019-04-16 Tomés Carvalho
Data_bugReport3.zip 3.23 MB 2019-04-16 Toméas Carvalho
metadata_bugReport.ixt 1.91 KB 2019-04-16 Toméas Carvalho
Screenshot_20190416_215303.png 308 KB 2019-04-16 Giovanni Manghi
